package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

@Entity //@Audited
@Table(name = "TeknikKhusus_T")
public class TeknikKhusus extends BaseTransaction{
	
	@ManyToOne
	@JoinColumn(name = "PerencanaanAnestesiFk")
	@NotNull(message = "Perencanaan Anestesi tidak boleh kosong")
	private PerencanaanAnestesi perencanaanAnestesi;
	
	@Column(name = "PerencanaanAnestesiFk", insertable=false,updatable=false)
	private String perencanaanAnestesiId;
	
	@ManyToOne
	@JoinColumn(name = "TeknikKhususDetailFk")
	@NotNull(message = "Teknik Khusus Detail tidak boleh kosong")
	private TeknikKhususDetail teknikKhususDetail;
	
	@Column(name = "TeknikKhususDetailFk", insertable=false,updatable=false)
	private Integer teknikKhususDetailId;
	
	@NotNull(message = "Is Nilai tidak boleh kosong")
	@Column(name = "isNilai")
	@Caption(value = "Is Nilai")
	private Boolean isNilai;
	
	public Boolean getIsNilai() {
		return isNilai;
	}

	public void setIsNilai(Boolean isNilai) {
		this.isNilai = isNilai;
	}

	public PerencanaanAnestesi getPerencanaanAnestesi() {
		return perencanaanAnestesi;
	}

	public void setPerencanaanAnestesi(PerencanaanAnestesi perencanaanAnestesi) {
		this.perencanaanAnestesi = perencanaanAnestesi;
	}

	public String getPerencanaanAnestesiId() {
		return perencanaanAnestesiId;
	}

	public void setPerencanaanAnestesiId(String perencanaanAnestesiId) {
		this.perencanaanAnestesiId = perencanaanAnestesiId;
	}

	public TeknikKhususDetail getTeknikKhususDetail() {
		return teknikKhususDetail;
	}

	public void setTeknikKhususDetail(TeknikKhususDetail teknikKhususDetail) {
		this.teknikKhususDetail = teknikKhususDetail;
	}

	public Integer getTeknikKhususDetailId() {
		return teknikKhususDetailId;
	}

	public void setTeknikKhususDetailId(Integer teknikKhususDetailId) {
		this.teknikKhususDetailId = teknikKhususDetailId;
	}


}
